import QtQuick 2.0
import Sailfish.Silica 1.0

Label
{
	id: item

	anchors
	{
		left: parent.left
		right: parent.right
		margins: Theme.paddingLarge
	}

	property int channelIndex: 0
	property string channelName: ""
	property bool down: false

	signal clicked()

	text: channelIndex+": "+channelName
	horizontalAlignment: Text.AlignHCenter
	color: down ? Theme.primaryColor : Theme.highlightColor

	MouseArea
	{
		anchors.fill: parent

		onClicked: item.clicked()
	}
}
